Printago API
POST
/v1/classwork
Create a classwork item
Request Body
ClassworkItemInsert
bodyoptional
string
coderequired
string
folderIdoptional
string
statusoptional
any
summaryoptional
string
titleoptional
string
Example Request
application/json
{
"code": "string",
"title": "string",
"summary": "string",
"body": "string"
}
Response Schema
ClassworkItem
bodyrequired
string
coderequired
string
createdAtrequired
string
format: date-time
folderIdoptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
statusrequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
summaryrequired
string
titlerequired
string
updatedAtrequired
string
format: date-time
Example Response
201 OK — application/json
{
"code": "string",
"title": "string",
"summary": "string",
"body": "string",
"id": "string",
"storeId": "string",
"createdAt": "2026-09-16T04:04:12.299Z",
"updatedAt": "2026-09-16T04:04:12.299Z"
}